Subject: RE: gcc ... -U_WIN32 ... may cause problems
From: [email-masked] (Michael Czapski)

28 Aug 1998 13:10:20 -0700
Message-ID: <[email-masked]>
Reply-To: "[email-masked]" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "'Sergey Okhapkin'" <[email-masked]>,
        "[email-masked]"
    <[email-masked]>

On Friday, August 28, 1998 5:40 PM, Sergey Okhapkin [SMTP:[email-masked]] 
wrote:
> Michael Czapski wrote:
> > as well).  Since gcc under Cygwin32 does not pre-define "__unix__" or
> > "__unix"
> > or "unix", as is the case under Linux, and in the Cygwin32/EGCS/gcc
> > environment
> > _WIN32 is defined the same as in the MS VC++ environment I had to code
> > #if defined(_WIN32) && !defined(__CYGWIN32__) in a number of places.  This
> > was
> > required to ensure that  Windows NT-specific service code is not compiled
> > under
>
> If you have some portability header file included in all sources, add to the
> beginning:
>
> #ifdef __CYGWIN32__
> #undef _WIN32
> #endif
>
> --
> Sergey Okhapkin, http://www.lexa.ru/sos
> Moscow, Russia
>

Hello Sergey,
I have a portability header and I could do what you suggest however the problem 
I describe would occur whether I do it your way or by 'gcc ... -U_WIN32 ...'. 
 In fact the way you suggest is the way I initially did it.  It took a bit of 
fiddling to isolate the problem area to the unistd.h and __MS_types__ :-).
Thanks for your suggestion anyway.
I just thought I return some of the favours by sharing a solution to a possible 
problem someone might have one day :-)

------------------
Cheers ...
Michael Czapski

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".